%define name	solfege
%define version 3.22.2
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	An ear-training program
Summary(de):	Musiktrainingsprogramm
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/solfege/%{name}-%{version}.tar.xz
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch1:		solfege-3.20.0-link.patch
Patch2:		solfege-3.22.2-usrmove.patch
URL:		http://solfege.sourceforge.net
License:	GPL v3
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	swig 
BuildRequires:	python-devel
BuildRequires:	pkgconfig 
BuildRequires:	gettext 
BuildRequires:	texinfo
BuildRequires:  gnome-python
BuildRequires:  docbook-style-xsl
BuildRequires:  pygtk2.0-devel 
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0 
Requires:	swig
Requires:	gnome-python 
Requires:	gnome-python-gtkhtml2 
Requires:	gnome-python-gnomevfs
Requires:	TiMidity++

%description
GNU Solfege is an ear-training program. These are the exercises written so far:
    * Recognise melodic and harmonic intervals
    * Compare interval sizes
    * Sing the intervals the computer asks for
    * Identify chords
    * Sing chords
    * Scales
    * Dictation
    * Remembering rhythmic patterns

%description -l de
Solfege ist ein Musiktrainingsprogramm, welches Sie zum Trainieren Ihrer Rhytmus-, Intervall- und Akkordkenntnisse verwenden können. Dabei können Sie sich theoretische Kapitel zu verschiedenen Themen durchlesen oder auch Ihre Kenntnisse in praktischen Hörtests überprüfen.

Dies sind die bisher geschriebenen Übungen:

   * Erkennen von melodischen und harmonischen Intervallen
   * Intervall Größen vergleichen
   * Singen der Intervalle, nach denen der Computer fragt
   * Akkorde identifizieren
   * Akkorde Singen
   * Skalen
   * Diktat
   * sich rhythmische Muster merken


%prep
%setup -q
%patch1 -p0
%patch2 -p1 -b .usrmove

%build
FILE=$(ls %_datadir/sgml/docbook/xsl-stylesheets-1.*/html/chunk.xsl)
%configure2_5x --enable-docbook-stylesheet=$FILE
%make 
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
chmod 755 %{buildroot}%{_libdir}/%{name}/*.so

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="AudioVideo;Audio" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
cat %SOURCE1 >$RPM_BUILD_ROOT/%{_datadir}/pixmaps/%name.png

rm -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/solfege.svg

%find_lang %name
###%find_lang %name-intervallnames
###cat %name-intervallnames.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog FAQ 
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/sol*
%{_mandir}/man1/*
%{_libdir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Tue Feb 29 2016 woodhead <pp> 3.22.2-1pclos2016
- update

* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 3.20.4-1pclos2012
- process

* Tue May 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.20.4-1pclos2012
- 3.20.4
- added german summary and description
- added Patch0

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 3.20.1-1pclos2011
- 3.20.1

* Mon May 24 2010 johnnyblack <johnnyblack at inbox.com> 3.16.1-1pclos2010
- 3.16.1

* Sat Apr 05 2008 P. K. Frederic <pkfric@yahoo.com> 3.6.5-1pclos2007
- first RPM for PCLinuxOS


